import { t, passInputTo } from './trpc.js';
import { updateOrganizationName, createOrganization, insertOrganizationInputParser, getOrganizationsForUser, userEmailInputParser, updateOrganizationNameInputParser, orgIdInputParser, getCurrentOrganizationDetails, } from '../../models/organization.js';
export default t.router({
    createOrganization: t.procedure
        .input(insertOrganizationInputParser)
        .mutation(passInputTo(createOrganization)),
    getOrganizationsForUser: t.procedure
        .input(userEmailInputParser)
        .query(passInputTo(getOrganizationsForUser)),
    updateOrganizationName: t.procedure
        .input(updateOrganizationNameInputParser)
        .mutation(passInputTo(updateOrganizationName)),
    getCurrentOrganizationDetails: t.procedure
        .input(orgIdInputParser)
        .query(passInputTo(getCurrentOrganizationDetails)),
});
